local BS = AceLibrary("Babble-Spell-2.2")

DrDamage.HealingBuffs = {
		["Healing Way"] = { Spell = BS["Healing Wave"], Apps = true, Value = 0.06, Class = { "SHAMAN" }, ModType = "BaseDamage" },
		["Amplify Magic"] = { ModType = "RankTable", Ranks = 6, Value = { 30, 60, 100, 150, 180, 240 }, },
		["Quick Recovery"] = { Ranks = 2, Value = 0.1 },
		["Fel Armor"] = { Value = 0.2, },
		["Blessing of Light"] = { ModType = "Special", Class = { "PALADIN" }, Spell = { BS["Flash of Light"], BS["Holy Light"] }, Value = { 60, 85, 115, 185 }, Value2 = { 210, 300, 400, 580, }, },
		["Greater Blessing of Light"] = { ModType = "Special", Class = { "PALADIN" }, Spell = { BS["Flash of Light"], BS["Holy Light"] }, Value = { 115, 185 }, Value2 = { 400, 580, },  },
}

DrDamage.DamageBuffs = { 
		["Burning Wish"] = { School = "Fire", Value = 0.15 },
		["Shadowform"] = { School = "Shadow", Value = 0.15 },
		["Amplify Curse"] = { Value = 0.5, ModType = "BaseDamage", Spell = { BS["Curse of Agony"], BS["Curse of Doom"] }, },
		["Traces of Silithyst"] = { Value = 0.05 },
		["Berserking"] = { Value = 0.3 },
		["General's Warcry"] = { Value = 0.3 },
		["Soul Link"] = { Value = 0.05 },
		["Arcane Power"] = { Value = 0.3 },
		["Power Infusion"] = { School = "All", Value = 0.2 },
		["Elemental Mastery"] = { Value = 100, ModType = "Crit" },
		--Zone wide:
		["Twin Spire Blessing"] = { Value = 0.05, },
		["Blessing of Auchindoun"] = { Value = 0.05, },
		["Strength of the Halaani"] = { Value = 0.05, },
		["Hellfire Superiority"] = { Value = 0.05, },
		--Special cases
		["Touch of Shadow"] = { School = "Shadow", ModType = "Special" },		
		["Master Demonologist"] = { ModType = "Special" },
		["Fel Armor"] = { ModType = "Special" },
		["Totem of Wrath"] = { ModType = "Special" },
		["Bloodlust"] = { ModType = "Special" },
		["Heroism"] = { ModType = "Special" },
		--Paladin:
		["Avenging Wrath"] = { Value = 0.3 },
		["Vengeance"] = { School = { "Holy", "Physical" }, Value = 0.02, TalentRank = 1 },		
		["Sanctity Aura"] = { School = "Holy", Value = 0.10 },
		["Divine Favor"] = { Spell = { BS["Flash of Light"], BS["Holy Light"], BS["Holy Shock"], }, ModType = "Crit", Value = 100, },
}

DrDamage.DamageDebuffs = {
		["Arcane Blast"] = { Spell = BS["Arcane Blast"], ModType = "Special", },
		["Curse of the Shattered Hand"] = { Value = 0.05 },
		["Positive Charge"] = { Value = 1, Apps = true, },
		["Negative Charge"] = { Value = 1, Apps = true, },
		["Nether Portal - Dominance"] = { Value = 0.05, Apps = true },
		["Nether Portal - Serenity"] = { School = "Healing", Value = 0.05, Apps = true },
		["Burning Adrenaline"] = { Value = 1.0 },
		["Vibrant Blood"] = { Value = 0.1 },		
}
	
DrDamage.Debuffs = { 
		["Curse of Shadow"] = { School = { "Shadow", "Arcane" }, Value = 0.1, Class = { "WARLOCK", "PRIEST", "DRUID", }, Affliction = true, },
		["Shadow Vulnerability"] = { School = "Shadow", Texture = "Spell_Shadow_ShadowBolt", Value = 0.2, Apps2 = true, Value2 = 0.03, Class = { "WARLOCK", "PRIEST", }, },
		["Shadow Weakness"] = { School = "Shadow", Value = 1.0, Class = { "WARLOCK", "PRIEST", }, },
		["Fire Vulnerability"] = { School = "Fire", Apps = true, Value = 0.03, Class = { "WARLOCK", "SHAMAN", "MAGE", }, },
		["Curse of the Elements"] = { School = { "Fire", "Frost" }, Value = 0.1, Class = { "WARLOCK", "SHAMAN", "MAGE", }, Affliction = true, },
		["Fire Weakness"] = { School = "Fire", Value = 1.0, Class = { "WARLOCK", "SHAMAN", "MAGE", }, },
		["Winter's Chill"] = { School = "Frost", Apps = true, Value = 2, ModType = "Crit", Class = { "SHAMAN", "MAGE", }, },
		["Frost Weakness"] = { School = "Frost", Value = 1, Class = { "SHAMAN", "MAGE", }, },
		["Arcane Weakness"] = { School = "Arcane", Value = 1, Class = { "PRIEST", "DRUID", }, },
		["Nature Weakness"] = { School = "Nature", Value = 1, Class = { "DRUID", "SHAMAN", }, },
		["Stormstrike"] = { School = "Nature", Value = 0.2, Class = { "DRUID", "SHAMAN", }, },
		["Spell Vulnerability"] = { Value = 0.15 },
		["Misery"] = { Value = 0.01, Ranks = 5, },
		["Berserking"] = { Value = 0.1 },
		--Special cases:
		["Immolate"] = { Spell = BS["Incinerate"], ModType = "Special", Class = { "WARLOCK" }, },
		["Frost Nova"] = { Spell = BS["Ice Lance"], ModType = "Special", Class = { "MAGE" }, },
		["Frostbite"] = { Spell = BS["Ice Lance"], ModType = "Special", Class = { "MAGE" }, },
		["Judgement of the Crusader"] = { School = { "Holy", "Physical" }, ModType = "JotC", Ranks = 7, Value = { 20, 30, 50, 80, 110, 140, 190 }, Class = { "PALADIN", "PRIEST" }, },		
		--Healing
		["Wound Poison"] = { School = "Healing", Apps = 5, Value = -0.1, },
		["Blood Fury"] = { School = "Healing", Value = -0.5, },
		["Mortal Strike"] = { School = "Healing", Value = -0.5, },
		["Hex of Weakness"] = { School = "Healing", Value = -0.2, },
		["Necrotic Poison"] = { School = "Healing", Value = -0.9, },
		["Veil of Shadow"] = { School = "Healing", Value = -0.75, },
		["Nether Portal - Dominance"] = { School = "Healing", Value = -0.01, Apps = true },
		--Affliction debuffs for Soul Siphon
		["Corruption"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Shadow Embrace"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Death Coil"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Curse of Agony"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Curse of Doom"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Curse of Recklessness"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Curse of Weakness"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Curse of Tongues"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Fear"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Drain Soul"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Drain Mana"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Siphon Life"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Unstable Affliction"] = { Affliction = true, Spell = BS["Drain Life"], },
		["Seed of Corruption"] = { Affliction = true, Spell = BS["Drain Life"], },
		--Stuns:
		["Intercept Stun"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Starfire Stun"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Stun"] = { Stun = true, Spell = BS["Seal of Command"], }, 
		["Bash"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Blackout"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Hammer of Justice"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Charge Stun"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Concussion Blow"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Cheap Shot"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Gouge"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Impact"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Kidney Shot"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Maim"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Pounce"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Sap"] = { Stun = true, Spell = BS["Seal of Command"], },
		["War Stomp"] = { Stun = true, Spell = BS["Seal of Command"], },
		["Feral Charge Effect"]= { Stun = true, Spell = BS["Seal of Command"], },	
}